return {
	{
		"windwp/nvim-ts-autotag",
		opts = {},
	},

	{
		"numToStr/Comment.nvim",
		opts = {},
		lazy = false,
	},

	{
		"folke/todo-comments.nvim",
		dependencies = { "nvim-lua/plenary.nvim" },
		opts = {},
	},

	{
		"kylechui/nvim-surround",
		event = "VeryLazy",
		opts = {},
	},

	{
		"echasnovski/mini.map",
		version = false,
		init = function()
			local mini = require("mini.map")
			mini.setup({
				integrations = {
					mini.gen_integration.builtin_search(),
					mini.gen_integration.diagnostic(),
				},
				window = {
					focusable = true,
					width = 20,
					winblend = 0,
				},
			})
		end,
	},

	{
		"romainl/vim-cool",
		init = function() end,
	},

	{
		"jellydn/hurl.nvim",
		dependencies = {
			"MunifTanjim/nui.nvim",
			"nvim-lua/plenary.nvim",
			"nvim-treesitter/nvim-treesitter",
			-- {
			-- 	"MeanderingProgrammer/render-markdown.nvim",
			-- 	opts = {
			-- 		file_types = { "markdown" },
			-- 	},
			-- 	ft = { "markdown" },
			-- },
		},
		ft = "hurl",
		opts = {
			debug = false,
			show_notification = false,
			mode = "split",
			env_file = {
				".env",
			},
			formatters = {
				json = { "jq" },
				html = {
					"prettier",
					"--parser",
					"html",
				},
				xml = {
					"tidy",
					"-xml",
					"-i",
					"-q",
				},
			},
			mappings = {
				close = "q",
				next_panel = "<C-n>",
				prev_panel = "<C-p>",
			},
		},
		keys = {
			-- Run API request
			{ "<F5>", "<cmd>HurlRunner<CR>", desc = "Run All requests" },
			{ "<F5>a", "<cmd>HurlRunnerAt<CR>", desc = "Run Api request" },
			-- { "<leader>te", "<cmd>HurlRunnerToEntry<CR>", desc = "Run Api request to entry" },
			-- { "<leader>tE", "<cmd>HurlRunnerToEnd<CR>", desc = "Run Api request from current entry to end" },
			-- { "<leader>tm", "<cmd>HurlToggleMode<CR>", desc = "Hurl Toggle Mode" },
			-- { "<leader>tv", "<cmd>HurlVerbose<CR>", desc = "Run Api in verbose mode" },
			-- { "<leader>tV", "<cmd>HurlVeryVerbose<CR>", desc = "Run Api in very verbose mode" },
			-- Run Hurl request in visual mode
			-- { "<leader>h", ":HurlRunner<CR>", desc = "Hurl Runner", mode = "v" },
		},
	},

	-- {
	-- 	"3rd/image.nvim",
	-- 	event = "VeryLazy",
	-- 	opts = {
	-- 		backend = "ueberzug",
	-- 	},
	-- },
}
